package main

import (
	matrixbot "git.kuschku.de/justJanne/stateless-matrix-bot-framework"
	"math/rand/v2"
)

func handle8ball(bot *matrixbot.MatrixBot, notification matrixbot.Notification) error {
	positive := []string{
		"It is certain",
		"It is decidedly so",
		"Without a doubt",
		"Yes – definitely",
		"You may rely on it",
		"As I see it, yes",
		"Most Likely",
		"Outlook good",
		"Yes",
		"Signs point to yes.",
	}
	negative := []string{
		"Don’t count on it",
		"My reply is no",
		"My sources say no",
		"Outlook not so good",
		"very doubtful",
	}
	neutral := []string{
		"Reply hazy",
		"try again",
		"Ask again later",
		"Better not tell you now",
		"Cannot predict now",
		"Concentrate and ask again",
	}
	var answers []string
	switch rand.IntN(3) {
	case 0:
		answers = positive
		break
	case 1:
		answers = negative
		break
	case 2:
		answers = neutral
		break
	}
	answer := answers[rand.IntN(len(answers))]

	return matrixbot.SendMessage(*bot.Token, notification.RoomId, matrixbot.MessageContent{
		Body:    answer,
		MsgType: "m.text",
	})
}
